public class ArrayIntPQ implements IntPriorityQueue
{
    private int[] vector;
    private int capacity; 
    private int currentfull; 
    
    public ArrayIntPQ(int len)
    {
        capacity=len;
        vector=new int[capacity];
        currentfull=0;
    }
    
    public void insert(int elem)
    {
       for(int i=0;i<currentfull;i++)
       {
           if(vector[i]==elem)
           {
               return;
           }
       }
       vector[currentfull]=elem;
       currentfull++;
    }
    
    public int deleteMax()
    {
        int max=vector[0];
        int index=0;
        for(int i=0; i<currentfull; i++)
        {
            if(vector[i]>max)
            {
                max=vector[i];
                index=i;
            }
        }
        
        for(int j=index; j<currentfull; j++)
        {
            vector[j]=vector[j+1];
        }
        currentfull--;
        return max;
    }
    
    public int size()
    {
        return currentfull;
    }
    
    public boolean isIn(int elem)
    {
        boolean found=false;
        
        for(int i=0; i<currentfull; i++)
        {
            if(vector[i]==elem)
                found=true;
        }
        
        return found;
    }
}
        